#!/usr/bin/make -f

PYTHONS := $(shell pyversions -vr debian/control)

%:
	dh $@ --with python2,autoreconf

override_dh_strip:
	dh_strip --dbg-package=python-poppler-dbg -X_d.so

override_dh_clean:
	rm -fr build
	dh_clean

override_dh_auto_configure:
	for pyvers in ${PYTHONS}; do \
		mkdir -p build/py$$pyvers; cp -Rl `ls . | grep -v build | grep -v debian` build/py$$pyvers;\
		(cd build/py$$pyvers; ./configure --prefix=/usr PYTHON=python$$pyvers); \
		mkdir -p build/py$$pyvers-dbg; cp -Rl `ls . | grep -v build | grep -v debian` build/py$$pyvers-dbg; \
		(cd build/py$$pyvers-dbg; ./configure --prefix=/usr PYTHON=python$$pyvers-dbg CFLAGS="-g -ggdb "); \
	done

override_dh_auto_build:
	for pyvers in ${PYTHONS}; do \
		$(MAKE) -C build/py$$pyvers/ PYTHON=python$$pyvers; \
		$(MAKE) -C build/py$$pyvers-dbg/ PYTHON=python$$pyvers-dbg PYTHON_INCLUDES=`python$$pyvers-dbg-config --includes`; \
	done

override_dh_auto_install:
	for pyvers in ${PYTHONS}; do \
	$(MAKE) -C build/py$$pyvers/ install DESTDIR=$(CURDIR)/debian/python-poppler; \
	$(MAKE) -C build/py$$pyvers-dbg/ install DESTDIR=$(CURDIR)/debian/python-poppler-dbg; \
	(cd $(CURDIR)/debian/python-poppler-dbg/usr/lib/python$$pyvers/*-packages; mv poppler.so poppler_d.so); \
	done
	find $(CURDIR)/debian/python-poppler -name "*.la" -delete
	find $(CURDIR)/debian/python-poppler-dbg -name "*poppler" -exec rm -fr {} +
